import os

import testinfra.utils.ansible_runner

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ["MOLECULE_INVENTORY_FILE"]
).get_hosts("all")


def test_grafana_running_and_enabled(host):
    grafana = host.service("grafana-server")
    assert grafana.is_running
    assert grafana.is_enabled


def test_grafana_socket(host):
    # Verify the socket is listening for HTTP traffic
    assert host.socket("tcp://127.0.0.1:61000").is_listening
